---
title: Features
description: "Learn about the various features of GitLab, including issue tracking, time tracking, reporting, file locking, and more."
suppress_header: true
extra_css:
  - features-v2.css
  - release-posts.css
  - product.css
extra_js:
  - features.js
  - bootstrap-tooltip.js
---
.blank-header
  %img.image-border.image-border-left{ src: "/images/home/icons-pattern-left.svg" }
  %img.image-border.image-border-right{ src: "/images/home/icons-pattern-right.svg" }
  .header-content
    %h1
      All GitLab Features
    %p
      :markdown
        GitLab is the first single application for the [entire DevOps lifecycle](/stages-devops-lifecycle/). Only GitLab enables [Concurrent DevOps](/concurrent-devops/), unlocking organizations from the constraints of the toolchain. GitLab provides unmatched visibility, higher levels of efficiency, and comprehensive governance. This makes the software lifecycle 200% faster, radically improving the speed of business.
    %a.btn.cta-btn.btn-red{ href: '/demo/' }
      Watch the demo

.page-container.table-of-contents.text-center{ :style => "padding-bottom: 35px;" }
  .container{ style: "max-width: 900px;" }
    %a.title-link{ href: "/stages-devops-lifecycle/" }
      %h2
        Stages of the DevOps lifecycle
    %ul
      - data.stages.stages.select{|stageKey,stage| stage.marketing}.each do |key, stage|
        = link_to stage.display_name, "##{key}"
        &nbsp;&nbsp;

- Gitlab::Homepage::Stage.all!.select{|stage| stage.marketing}.each do |stage|
  .page-container.feature-gallery.text-center.animated{ id: stage.key }
    .container
      %a.title-link{ href: "/stages-devops-lifecycle/#{stage.key}" }
        %h2
          = stage.display_name
      %p.subhead
        = stage.description

      - stage.categories.each do |category|
        - next unless category.features?
        - url = category.alt_link ? category.alt_link : "/product/#{category.key.gsub('_', '-').downcase}"
        %a{ href: "#{url}"}
          %h4.text-left{style: "max-width: none;"}
            = category.name

        .features-description.features-description-separation
          - category.features.each do |feature|
            - next if feature.missing?
            - if feature.screenshot?
              = partial "includes/features/feature-item-with-image", locals: { feature: feature }

          - category.features.each do |feature|
            - next if feature.missing?
            - if !feature.screenshot?
              = partial "includes/features/feature-item", locals: { feature: feature }


        - if category.missing_features?
          %h4.text-left{style: "max-width: none;"}
            = category.name
            \- Missing Features
          .features-description.features-description-separation
            - category.features.each do |feature|
              - next unless feature.missing?
              - if feature.screenshot?
                = partial "includes/features/feature-item-with-image", locals: { feature: feature }

            - category.features.each do |feature|
              - next unless feature.missing?
              - if !feature.screenshot?
                = partial "includes/features/feature-item", locals: { feature: feature }


.gitlab-cta-container.text-center.animated
  .container
    %h1
      Choose the version of GitLab that is best for you
    %h4
      Host GitLab on your servers or let us host it for you
    %a.btn.cta-btn.red.hidden-sm.hidden-xs{href: "/products"}
      Explore our products
    %a.btn.cta-btn.red.visible-sm.visible-xs{href: "/products"}
      Explore
